"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Lifecycle_1 = require("../instrumentor/base/Lifecycle");
const Dynatrace_1 = require("../instrumentor/base/Dynatrace");
const Debug_1 = require("../instrumentor/base/Debug");
const React = require("react");
class Component extends React.Component {
    constructor(props, context) {
        super(props, context);
        Lifecycle_1.LifecycleHelper(Dynatrace_1.Dynatrace, Debug_1.Debug).attachLifycycleListener(this);
    }
}
exports.Component = Component;
class PureComponent extends React.PureComponent {
    constructor(props, context) {
        super(props, context);
        Lifecycle_1.LifecycleHelper(Dynatrace_1.Dynatrace, Debug_1.Debug).attachLifycycleListener(this);
    }
}
exports.PureComponent = PureComponent;
class NavComponent extends React.Component {
    constructor(props, context) {
        super(props, context);
        const renderOrig = this.render.bind(this);
        this.render = () => {
            return renderOrig();
        };
    }
}
exports.NavComponent = NavComponent;
