"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("proxy-polyfill");
const Component_1 = require("./react/Component");
const react = require("react");
const dynatraceInstrument = {
    Component: Component_1.Component,
    PureComponent: Component_1.PureComponent
};
const dynatraceProxy = new Proxy(react, {
    get(target, property) {
        if (dynatraceInstrument[property] !== undefined) {
            return dynatraceInstrument[property];
        }
        return target[property];
    }
});
module.exports = dynatraceProxy;
